/*! ROVLib2 (C) Jason Tribbeck 2017 */

#pragma once

#ifdef __cplusplus
extern "C"
{
#endif
  /*! Defines WIMP task handle*/
  typedef int tTaskHandle; // th

  /*! Defines Window handle */
  typedef int tWindowHandle; // wh

  /*! Defines Icon handle */
  typedef int tIconHandle; // ih

  /*! Defines a 32-bit coordinate */
  typedef int tCoordinate; // c

  /*! Defines a byte */
  typedef unsigned char byte; // b

  /*! Defines a location (X and Y coordinate) - can be used for sizes*/
  typedef struct
  {
    tCoordinate cX;
    tCoordinate cY;
  } tLocation; // l

#ifdef __cplusplus
}
#endif
